#
# spec file for package xgammon (Version 0.98)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         xgammon
Copyright:    GPL
Group:        Amusements/Games
Autoreqprov:  on
Version:      0.98
Release:      389
Summary:      A backgammon program for Linux
Source:       xgammon-%{version}.orig.tar.bz2
Patch:        xgammon-%{version}.orig.dif
BuildRoot:    /var/tmp/%{name}-build

%description
xgammon contains an X11 interface,
a simple file selector and saving dialog,
an edit position menu option.
a rollout option.
a mail dump option for newsgroup posting of positions.
and it is quite good, even for the experienced backgammon player.

Authors:
--------
    Lambert Klasen <klasen@asterix.uni-muenster.de>
    Detlef Steuer <steuer@amadeus.statistik.uni-dortmund.de>

SuSE series: fun

%prep
%setup -n xgammon-%{version}.orig
%patch

%build
xmkmf -a
make

%install
make DESTDIR=$RPM_BUILD_ROOT install
make DESTDIR=$RPM_BUILD_ROOT MANDIR=/usr/X11R6/man/man6 install.man
#install -c -m 0444 xgammon.6 /usr/X11R6/man/man6

%clean
rm -rf $RPM_BUILD_ROOT

%files
%config /usr/X11R6/lib/X11/app-defaults/XGammon
/usr/X11R6/lib/X11/xgammon/
/usr/X11R6/bin/xgammon
%doc /usr/X11R6/man/man6/xgammon.6*

%changelog -n xgammon
* Sat Sep 22 2001 - sndirsch@suse.de
- RPM Group tag set to Amusements/Games, so it can be found easier
* Wed Oct 11 2000 - vinil@suse.cz
- return code of lib/db.c fixed
- bzip2ed source
* Tue May 02 2000 - vinil@suse.cz
- buildroot added
- spaces in Imakefile fixed
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Jul 29 1999 - uli@suse.de
- fixed app-defaults
* Sun Jun 01 1997 - bs@suse.de
- moved var/X11R6/lib/app-defaults to usr/X11R6/lib/X11/app-defaults
